# stllib - DEV Joni STL Library

This repository contains all the released 3D models
for DEV Joni open-source instrumentation. Its purposes are to

- Assign each part a part number that is the name of the file
- Give our customers access to the models for spare-part printing and modding
- Act as a model library for our programs and web pages

## License

The models are released under the open-source GPLv3-only license.
[Click here](https://choosealicense.com/licenses/gpl-3.0/)
to learn more what it means.


## Spare-part printing and DIY

Most models are aimed for 3D FDM printing
with the following settings

- PET-G
- 20% infill
- 0.2 mm layer height
- 0.4 mm nozzle
- Otherwise default slicer and printer settings

Please feel free to experiment with these settings.
Some parts require using support material but your slicer
will warn about this.

Please do notice that many devices and tools also need
non-printable parts such as micro-controllers
resistors and wires. If you are on this DIY journey, our
Wiki provides useful details related to the assembly

[https://devjoni.com/wiki/](https://devjoni.com/wiki/)


## Contributing and Availability

Please report any missing models in our Github issues tracker

[https://github.com/devjonix/stllib/issues](https://github.com/devjonix/stllib/issues)

We acknowledge that currently many models available
on the web-shop are not yet in this repository.
It can be that these models are not yet finalised
or fully tested for public release, or we have not
just simply had time to release them.
At the very latest, we aim to release the
3D models of a device or tool simultaneously with
the first delivery to a customer.

Most 3D models have been modelled using OpenSCAD - We will also
release these OpenSCAD files but with much lower priority
than the STL files here. Two reasons why.
First, we believe that most customers 
benefit more from asap direct STL file access so they
can print spare parts and make their own mods, adapters etc.
Second, cleaning up the
OpenSCAD files for a release condition takes some time - Releasing
STL files is a quick job. If you do need and OpenSCAD file
for a specific part please open an issue here and we try to get
it to you soon.

If you have improvement ideas on a specific product or part, 
we would encourage sharing those on our Forums at

[https://devjoni.com/forum/](https://devjoni.com/forum/)
